// This file is a part of the TTRM Program;
// copyright (C) 2001-2002, Alexandros Droseltis;
// it is distributed under the terms of the
// GNU General Public Licence v.2 (read the file LICENCE)
#ifndef MATRIX_H
#define MATRIX_H

#include"row.h"
#include"interval.h"

class Matrix{
 public:
    Row get_itsSeira(int position);
    void retrograde(void);
    void invert(void);
    void transpose(int position, Interval Diastima);
    void generate(Row Seira);
    void filter3(void);
    void filter2(void);
    void filter1(void);
    void ambitus(void);
 private:
    void interval_list(Interval Diastimata[]);
    int chromatic_small(int x, int y);
    int chromatic_big(int x, int y);
    Row itsSeira[12];
};

#endif
